-- Title     :  Open Root Directory
--
--              Opens windows explorer at the root of your current project 
--
-- Author    : Colin Bamber
-- Version   : 1.0
-- Homepage  : www.colinbamber.com

-- Details	: 	Once the number is set below the script will open Windows Explorer at the desired folder level.
---------------------------------------------------------------------------------------------

macroScript openrootdir
	category:"Max_tools"
	buttonText:"Open Root Dir"
	toolTip:"Root Dir"
	icon:#("maxtools",2)

(
	----------------------------------------------------------------------------------------------------
	--Change the following number to represent the amount of folder levels you wish to go up--
	----------------------------------------------------------------------------------------------------
    local rootdepth = 2 as integer
	----------------------------------------------------------------------------------------------------
	----------------------------------------------------------------------------------------------------
	
    fn removeLastDir thePath =
    (
        theFS = filterString thepath "\\"
        theNewPath = ""
        for i = 1 to theFS.count-rootdepth do theNewPath += theFS[i] + "\\"
        theNewPath
    )
	
	local rootpath = ""
	rootpath = removelastdir maxfilepath
	
	shelllaunch "c:\\windows\\explorer" ("/e," + rootpath)
	
	
	
    
) -- macroscript
